package com.izouma.agpay.bean;

/**
 * 统一下单 QR1008 请求报文
 */
public class QR1008ReqBody {
    /**
     * 二级商户
     */
    private String merid;

    /**
     * AppId
     */
    private String subappid;

    /**
     * 实际支付金额
     */
    private String payamount;

    /**
     * 订单金额
     */
    private String amount;


    /**
     * 支付人ID
     */
    private String subpayuserid;

    /**
     * 支付方式
     */
    private String agentid;

    /**
     * 备注
     */
    private String remark;

    /**
     * 商品名称
     */
    private String commodityname;

    /**
     * 异步通知地址
     */
    private String notifyurl;

    /**
     * 终端IP
     */
    private String spbillcreateip;

    /**
     * 限制支付方式
     */
    private String limitpay;

    /**
     * 订单失效时间
     */
    private String orderExpireTime;

    public String getMerid() {
        return merid;
    }

    public void setMerid(String merid) {
        this.merid = merid;
    }

    public String getSubappid() {
        return subappid;
    }

    public void setSubappid(String subappid) {
        this.subappid = subappid;
    }

    public String getPayamount() {
        return payamount;
    }

    public void setPayamount(String payamount) {
        this.payamount = payamount;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }


    public String getSubpayuserid() {
        return subpayuserid;
    }

    public void setSubpayuserid(String subpayuserid) {
        this.subpayuserid = subpayuserid;
    }

    public String getAgentid() {
        return agentid;
    }

    public void setAgentid(String agentid) {
        this.agentid = agentid;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCommodityname() {
        return commodityname;
    }

    public void setCommodityname(String commodityname) {
        this.commodityname = commodityname;
    }

    public String getNotifyurl() {
        return notifyurl;
    }

    public void setNotifyurl(String notifyurl) {
        this.notifyurl = notifyurl;
    }

    public String getSpbillcreateip() {
        return spbillcreateip;
    }

    public void setSpbillcreateip(String spbillcreateip) {
        this.spbillcreateip = spbillcreateip;
    }

    public String getLimitpay() {
        return limitpay;
    }

    public void setLimitpay(String limitpay) {
        this.limitpay = limitpay;
    }

    public String getOrderExpireTime() {
        return orderExpireTime;
    }

    public void setOrderExpireTime(String orderExpireTime) {
        this.orderExpireTime = orderExpireTime;
    }
}
